const console = require('../utils/logger.js');
let { welcomeFile, flp } = require('../utils/configuration.js');

if (flp && !welcomeFile) {
    welcomeFile = '/cp.portal/site';
}

if (welcomeFile) {
    const welcomeFileMiddleware = (req, res, next) => {
        console.debug(`Entering welcome-file middleware (x-correlationid: ${req.headers['x-correlationid']})`);
        if(req.url === '/') {
            console.debug(
                `Updating 'welcomeFile' of central xs-app.json to be ${welcomeFile} `+
                `(x-correlationid: ${req.headers['x-correlationid']})`
            );
            req.app.get('mainRouterConfig').appConfig.welcomeFile = welcomeFile;
        }
        next();
    };
    module.exports = welcomeFileMiddleware;
} else {
    const nopWelcomeFileMiddleware = (req, res, next) => next();
    module.exports = nopWelcomeFileMiddleware;
}
