const fs = require('fs').promises;
const jsdom = require('jsdom');

module.exports = async (filePath) => {
    const opts = {
        features: {
            ProcessExternalResources: false
        }
    };
    let document, element;
    try {
        const data = await fs.readFile(filePath, 'utf-8');
        document = (new jsdom.JSDOM(data, opts)).window.document;
    } catch(err) {
        document = (new jsdom.JSDOM('<project></project>', opts)).window.document;
    }
    return (value) => (typeof value === 'string' &&
        value.startsWith('${') &&
        value.endsWith('}') &&
        (element = document.querySelector(
            value.slice(2,value.length-1).toLowerCase().replace(/\./g, ' > ')
        )) &&
        element.textContent) || value;
};
