const console = require('../../utils/logger.js');
const { has } = require('../../utils/vcap.js');

module.exports = function xsappPreprocessor(data, res) {
    if (!has('xsuaa')) {
        try {
            const xsapp = JSON.parse(data);
            xsapp.authenticationMethod = 'none';
            data = JSON.stringify(xsapp);
            console.debug(
                'Returning preprocessed xs-app.json with authenticationMethod set to none (XSUAA service is not bound)'
            );
            return res.end(data);
        } catch(err) {
            console.error('Failed to preprocess xs-app.json', err.toString(), data);
        }
    }
    console.debug('Returning original xs-app.json without preprocessing');
    return res.end(data);
};
