const fs = require('fs');
const vcap = require('./vcap.js');
const console = require('./logger.js');

module.exports.patchXsAppJson = () => {
    if (!vcap.has('xsuaa')) {
        console.debug('Overriding fs.readFileSync()');
        const readFileSync = fs.readFileSync;
        fs.readFileSync = (...opts) => {
            if (opts && opts[0] && typeof opts[0] === 'string' && opts[0].endsWith('xs-app.json')) {
                console.debug('Patching central xs-app.json to have authenticationMethod = "none"');
                const data = JSON.parse(readFileSync.apply(fs, opts));
                data.authenticationMethod = 'none';
                fs.readFileSync = readFileSync;
                return JSON.stringify(data);
            }
            return readFileSync.apply(fs, opts);
        };
    }
};
